Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.support
Class GroovyAwareNamedTransactionAttributeSource

    java.lang.Object
      org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource
          org.codehaus.groovy.grails.orm.support.GroovyAwareNamedTransactionAttributeSource

All Implemented Interfaces:
  Serializable, TransactionAttributeSource

    public class GroovyAwareNamedTransactionAttributeSource

extends NameMatchTransactionAttributeSource

Since:
  1.1.1 Don't match Groovy synthetic methods

  Created: Apr 22, 2009
Author:
  Graeme Rocher
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource
`logger`

Constructor Summary
`GroovyAwareNamedTransactionAttributeSource()`

Method Summary
`TransactionAttribute` | `getTransactionAttribute(Method method, Class targetClass)`
`protected boolean` | `isMatch(String methodName, String mappedName)`
`void` | `setTransactionalAttributes(Properties properties)`

Methods inherited from class org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource
`addTransactionalMethod, equals, hashCode, setNameMap, setProperties, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroovyAwareNamedTransactionAttributeSource

    public GroovyAwareNamedTransactionAttributeSource()

Method Detail

### getTransactionAttribute

    public TransactionAttribute getTransactionAttribute(Method method,
                                                        Class targetClass)

  Specified by:
    `getTransactionAttribute` in interface `TransactionAttributeSource`
  Overrides:
    `getTransactionAttribute` in class `NameMatchTransactionAttributeSource`

### isMatch

    protected boolean isMatch(String methodName,
                              String mappedName)

  Overrides:
    `isMatch` in class `NameMatchTransactionAttributeSource`

### setTransactionalAttributes

    public void setTransactionalAttributes(Properties properties)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project